Switching line/area measure do not remove lines/areas on close

2015-06-08 09:01 AM - Klas Karlsson

Status: Closed

Priority: Low

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Linux Ubuntu / QGIS Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21001

Description

If I measure a line, and then without closing the dialogue, switch to measure an area (or vice versa) the dialogue changes. When I close

the new dialogue, the first line remains and can not be removed unless I first reopen line measurement, and then close that dialogue.

When measuring angles, the lines (angle lines) disappear when I select line- or area measurement, as it should.

This is the same in 2.8.2 as it is in Master.

It's probably not a "bug", but I find it a little annoying, now when it occurred to me.

Suggest solving it by deleting lines/areas when the dialogue closes either by the button or by other dialogues opening (compare angle

measurement).

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
